Subject: Re: [PATCH v2 1/2] powerpc/selftest: Add gettimeofday() benchmark

From: Michael Ellerman <[email-masked]>
Date: Wed, 30 Sep 2015 11:49:57 +1000

On Mon, 2015-09-28 at 12:56 +0300, Denis Kirjanov wrote:
> On 9/28/15, Michael Neuling <[email-masked]> wrote:
> > On Fri, 2015-09-25 at 11:37 +0200, Gabriel Paubert wrote:
> >> On Fri, Sep 25, 2015 at 12:28:30PM +0300, Denis Kirjanov wrote:
> >> > On 9/25/15, Arnd Bergmann <[email-masked]> wrote:
> >> > > On Friday 25 September 2015 14:01:39 Michael Neuling wrote:
> >> > >> This adds a benchmark directory to the powerpc selftests and adds a
> >> > >> gettimeofday() benchmark to it.
> >> > >>
> >> > >> Suggested-by: Michael Ellerman <[email-masked]>
> >> > >> Signed-off-by: Michael Neuling <[email-masked]>
> >> > >>
> >> > >
> >> > > Any reason for keeping this powerpc specific? It seems generally
> >> > > useful.
> >> > > and portable.
> >> > You're right. Moreover, we can put some comment to the benchmark why
> >> > we've made such decision to add it (reference to the commit
> >> > "powerpc/vdso: Avoid link stack corruption in __get_datapage()")
> >>
> >> Why gettimeofday? Isn't clock_gettime the modern variant?
> >
> > We can do either here really.  I just wanted to test __get_datapage()
> > really.  I just stole the benchmark from Anton, which turned into mpe
> > wanting it in selftests.  I dumped it in powerpc mostly because I knew
> > mpe would take it (ie. I'm was being lazy).
> 
> Yeah, so the quickest way would be to apply the patch as is. Then
> someone can make it generic.

> So now it depends on Michael's decision :)

Yeah I'll merge it and then folks can do whatever they like.

cheers